Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.portlet
Class ChannelState

    java.lang.Object
      org.jasig.portal.channels.portlet.ChannelState

    public class ChannelState

extends java.lang.Object

Represents the channel's state including the static data, runtime data, portal event, portal control structures and a ChannelData object.

Version:
  $Revision: 1.4 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private ChannelData` | `channelData`
`private PortalControlStructures` | `pcs`
`private PortalEvent` | `portalEvent`
`private ChannelRuntimeData` | `runtimeData`
`private ChannelStaticData` | `staticData`

Constructor Summary
`ChannelState()`

Method Summary
`ChannelData` | `getChannelData()`
`PortalControlStructures` | `getPortalControlStructures()`
`PortalEvent` | `getPortalEvent()`
`ChannelRuntimeData` | `getRuntimeData()`
`ChannelStaticData` | `getStaticData()`
`void` | `setChannelData(ChannelData cd)`
`void` | `setPortalControlStructures(PortalControlStructures pcs)`
`void` | `setPortalEvent(PortalEvent ev)`
`void` | `setRuntimeData(ChannelRuntimeData rd)`
`void` | `setStaticData(ChannelStaticData sd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staticData

    private ChannelStaticData staticData

### runtimeData

    private ChannelRuntimeData runtimeData

### portalEvent

    private PortalEvent portalEvent

### pcs

    private PortalControlStructures pcs

### channelData

    private ChannelData channelData

Constructor Detail

### ChannelState

    public ChannelState()

Method Detail

### getStaticData

    public ChannelStaticData getStaticData()

### getRuntimeData

    public ChannelRuntimeData getRuntimeData()

### getPortalControlStructures

    public PortalControlStructures getPortalControlStructures()

### getPortalEvent

    public PortalEvent getPortalEvent()

### getChannelData

    public ChannelData getChannelData()

### setStaticData

    public void setStaticData(ChannelStaticData sd)

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)

### setPortalControlStructures

    public void setPortalControlStructures(PortalControlStructures pcs)

### setPortalEvent

    public void setPortalEvent(PortalEvent ev)

### setChannelData

    public void setChannelData(ChannelData cd)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD